window.Gleam.initSearch([{"doc":"telega","title":"telega","content":"# telega\n\n[![Package Version](https://img.shields.io/hexpm/v/telega)](https://hex.pm/packages/telega)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/telega/)\n\nA [Gleam](https://gleam.run/) library for the Telegram Bot API.\n\n```sh\ngleam add telega\n```\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"telega/message","title":"Chat","content":"pub type Chat {\n  Chat(\n    id: Int,\n    username: Option(String),\n    first_name: Option(String),\n    last_name: Option(String),\n    is_forum: Option(Bool),\n  )\n}\n\nChat(\n  id: Int,\n  username: Option(String),\n  first_name: Option(String),\n  last_name: Option(String),\n  is_forum: Option(Bool),\n)\n **Official reference:** https://core.telegram.org/bots/api#chat\nid\n&lt;p&gt;Unique identifier for this chat.&lt;/p&gt;\n\nusername\n&lt;p&gt;Username, for private chats, supergroups and channels if available&lt;/p&gt;\n\nfirst_name\n&lt;p&gt;First name of the other party in a private chat&lt;/p&gt;\n\nlast_name\n&lt;p&gt;Last name of the other party in a private chat&lt;/p&gt;\n\nis_forum\n&lt;p&gt;True, if the supergroup chat is a forum (has &lt;a href=&quot;https://telegram.org/blog/topics-in-groups-collectible-usernames#topics-in-groups&quot;&gt;topics&lt;/a&gt; enabled)&lt;/p&gt;\n\nSynonyms:\ntelega/message.Chat\ntelega/message Chat","url":"telega/message.html#Chat"},{"doc":"telega/message","title":"InlineKeyboardButton","content":"pub type InlineKeyboardButton {\n  InlineKeyboardButton(\n    text: String,\n    url: Option(String),\n    callback_data: Option(String),\n  )\n}\n Type of the entity. Currently, can be &quot;mention&quot; (`@username`), &quot;hashtag&quot; (`#hashtag`), &quot;cashtag&quot; (`$USD`), &quot;bot_command&quot; (`/start@jobs_bot`), &quot;url&quot; (`https://telegram.org`), &quot;email&quot; (`do-not-reply@telegram.org`), &quot;phone_number&quot; (`+1-212-555-0123`), &quot;bold&quot; (**bold text**), &quot;italic&quot; (_italic text_), &quot;underline&quot; (underlined text), &quot;strikethrough&quot; (strikethrough text), &quot;spoiler&quot; (spoiler message), &quot;blockquote&quot; (block quotation), &quot;code&quot; (monowidth string), &quot;pre&quot; (monowidth block), &quot;text_link&quot; (for clickable text URLs), &quot;text_mention&quot; (for users [without usernames](https://telegram.org/blog/edit#new-mentions)), &quot;custom_emoji&quot; (for inline custom emoji stickers)\n Offset in [UTF-16 code units](https://core.telegram.org/api/entities#entity-length) to the start of the entity\n Length of the entity in [UTF-16 code units](https://core.telegram.org/api/entities#entity-length)\n For &quot;text_link&quot; only, URL that will be opened after user taps on the text\n For &quot;text_mention&quot; only, the mentioned user\n For &quot;pre&quot; only, the programming language of the entity text\n For &quot;custom_emoji&quot; only, unique identifier of the custom emoji. Use [getCustomEmojiStickers](https://core.telegram.org/bots/api#getcustomemojistickers) to get full information about the sticker\n\nInlineKeyboardButton(\n  text: String,\n  url: Option(String),\n  callback_data: Option(String),\n)\n **Official reference:** https://core.telegram.org/bots/api#inlinekeyboardbutton\ntext\n&lt;p&gt;Label text on the button&lt;/p&gt;\n\nurl\n&lt;p&gt;HTTP or &lt;code&gt;tg://&lt;/code&gt; URL to be opened when the button is pressed. Links &lt;code&gt;tg://user?id=&amp;lt;user_id&amp;gt;&lt;/code&gt; can be used to mention a user by their identifier without using a username, if this is allowed by their privacy settings.&lt;/p&gt;\n\ncallback_data\n&lt;p&gt;Data to be sent in a &lt;a href=&quot;https://core.telegram.org/bots/api#callbackquery&quot;&gt;callback query&lt;/a&gt; to the bot when button is pressed, 1-64 bytes&lt;/p&gt;\n\nSynonyms:\ntelega/message.InlineKeyboardButton\ntelega/message InlineKeyboardButton","url":"telega/message.html#InlineKeyboardButton"},{"doc":"telega/message","title":"InlineKeyboardMarkup","content":"pub type InlineKeyboardMarkup {\n  InlineKeyboardMarkup(\n    inline_keyboard: List(List(InlineKeyboardButton)),\n  )\n}\n Label text on the button\n HTTP or `tg://` URL to be opened when the button is pressed. Links `tg://user?id=&lt;user_id&gt;` can be used to mention a user by their identifier without using a username, if this is allowed by their privacy settings.\n Data to be sent in a [callback query](https://core.telegram.org/bots/api#callbackquery) to the bot when button is pressed, 1-64 bytes\n\nInlineKeyboardMarkup(\n  inline_keyboard: List(List(InlineKeyboardButton)),\n)\n **Official reference:** https://core.telegram.org/bots/api#inlinekeyboardmarkup\n\nSynonyms:\ntelega/message.InlineKeyboardMarkup\ntelega/message InlineKeyboardMarkup","url":"telega/message.html#InlineKeyboardMarkup"},{"doc":"telega/message","title":"Message","content":"pub type Message {\n  Message(kind: MessageKind, raw: RawMessage)\n}\n Messages represent the data that the bot receives from the Telegram API.\nMessage(kind: MessageKind, raw: RawMessage)\n\nraw\n&lt;p&gt;Raw message data from the Telegram API.&lt;/p&gt;\n\nSynonyms:\ntelega/message.Message\ntelega/message Message","url":"telega/message.html#Message"},{"doc":"telega/message","title":"MessageEntity","content":"pub type MessageEntity {\n  MessageEntity(\n    entity_type: String,\n    offset: Int,\n    length: Int,\n    url: Option(String),\n    user: Option(User),\n    language: Option(String),\n    custom_emoji_id: Option(String),\n  )\n}\n Unique identifier for this user or bot.\n User&#39;s or bot&#39;s first name\n User&#39;s or bot&#39;s last name\n Username, for private chats, supergroups and channels if available\n [IETF language tag](https://en.wikipedia.org/wiki/IETF_language_tag) of the user&#39;s language\n True, if this user is a Telegram Premium user\n True, if this user added the bot to the attachment menu\n\nMessageEntity(\n  entity_type: String,\n  offset: Int,\n  length: Int,\n  url: Option(String),\n  user: Option(User),\n  language: Option(String),\n  custom_emoji_id: Option(String),\n)\n **Official reference:** https://core.telegram.org/bots/api#messageentity\nentity_type\n&lt;p&gt;Type of the entity. Currently, can be “mention” (&lt;code&gt;@username&lt;/code&gt;), “hashtag” (&lt;code&gt;#hashtag&lt;/code&gt;), “cashtag” (&lt;code&gt;$USD&lt;/code&gt;), “bot_command” (&lt;code&gt;/start@jobs_bot&lt;/code&gt;), “url” (&lt;code&gt;https://telegram.org&lt;/code&gt;), “email” (&lt;code&gt;do-not-reply@telegram.org&lt;/code&gt;), “phone_number” (&lt;code&gt;+1-212-555-0123&lt;/code&gt;), “bold” (&lt;strong&gt;bold text&lt;/strong&gt;), “italic” (&lt;em&gt;italic text&lt;/em&gt;), “underline” (underlined text), “strikethrough” (strikethrough text), “spoiler” (spoiler message), “blockquote” (block quotation), “code” (monowidth string), “pre” (monowidth block), “text_link” (for clickable text URLs), “text_mention” (for users &lt;a href=&quot;https://telegram.org/blog/edit#new-mentions&quot;&gt;without usernames&lt;/a&gt;), “custom_emoji” (for inline custom emoji stickers)&lt;/p&gt;\n\noffset\n&lt;p&gt;Offset in &lt;a href=&quot;https://core.telegram.org/api/entities#entity-length&quot;&gt;UTF-16 code units&lt;/a&gt; to the start of the entity&lt;/p&gt;\n\nlength\n&lt;p&gt;Length of the entity in &lt;a href=&quot;https://core.telegram.org/api/entities#entity-length&quot;&gt;UTF-16 code units&lt;/a&gt;&lt;/p&gt;\n\nurl\n&lt;p&gt;For “text_link” only, URL that will be opened after user taps on the text&lt;/p&gt;\n\nuser\n&lt;p&gt;For “text_mention” only, the mentioned user&lt;/p&gt;\n\nlanguage\n&lt;p&gt;For “pre” only, the programming language of the entity text&lt;/p&gt;\n\ncustom_emoji_id\n&lt;p&gt;For “custom_emoji” only, unique identifier of the custom emoji. Use &lt;a href=&quot;https://core.telegram.org/bots/api#getcustomemojistickers&quot;&gt;getCustomEmojiStickers&lt;/a&gt; to get full information about the sticker&lt;/p&gt;\n\nSynonyms:\ntelega/message.MessageEntity\ntelega/message MessageEntity","url":"telega/message.html#MessageEntity"},{"doc":"telega/message","title":"MessageKind","content":"pub type MessageKind {\n  CommonMessage\n  CommandMessage\n  TextMessage\n}\n The update&#39;s unique identifier.\n\nCommonMessage\n\n\nCommandMessage\n\n\nTextMessage\n\n\nSynonyms:\ntelega/message.MessageKind\ntelega/message MessageKind","url":"telega/message.html#MessageKind"},{"doc":"telega/message","title":"RawMessage","content":"pub type RawMessage {\n  RawMessage(\n    message_id: Int,\n    message_thread_id: Option(Int),\n    from: Option(User),\n    sender_chat: Option(Chat),\n    sender_boost_count: Option(Int),\n    date: Int,\n    chat: Chat,\n    is_topic_message: Option(Bool),\n    is_automatic_forward: Option(Bool),\n    reply_to_message: Option(RawMessage),\n    via_bot: Option(User),\n    edit_date: Option(Int),\n    has_protected_content: Option(Bool),\n    media_group_id: Option(String),\n    author_signature: Option(String),\n    text: Option(String),\n    entities: Option(List(MessageEntity)),\n    caption: Option(String),\n    caption_entities: Option(List(MessageEntity)),\n    has_media_spoiler: Option(Bool),\n    new_chat_members: Option(List(User)),\n    left_chat_member: Option(User),\n    new_chat_title: Option(String),\n    delete_chat_photo: Option(Bool),\n    group_chat_created: Option(Bool),\n    supergroup_chat_created: Option(Bool),\n    channel_chat_created: Option(Bool),\n    migrate_to_chat_id: Option(Int),\n    migrate_from_chat_id: Option(Int),\n    connected_website: Option(String),\n    reply_markup: Option(InlineKeyboardMarkup),\n  )\n}\n\nRawMessage(\n  message_id: Int,\n  message_thread_id: Option(Int),\n  from: Option(User),\n  sender_chat: Option(Chat),\n  sender_boost_count: Option(Int),\n  date: Int,\n  chat: Chat,\n  is_topic_message: Option(Bool),\n  is_automatic_forward: Option(Bool),\n  reply_to_message: Option(RawMessage),\n  via_bot: Option(User),\n  edit_date: Option(Int),\n  has_protected_content: Option(Bool),\n  media_group_id: Option(String),\n  author_signature: Option(String),\n  text: Option(String),\n  entities: Option(List(MessageEntity)),\n  caption: Option(String),\n  caption_entities: Option(List(MessageEntity)),\n  has_media_spoiler: Option(Bool),\n  new_chat_members: Option(List(User)),\n  left_chat_member: Option(User),\n  new_chat_title: Option(String),\n  delete_chat_photo: Option(Bool),\n  group_chat_created: Option(Bool),\n  supergroup_chat_created: Option(Bool),\n  channel_chat_created: Option(Bool),\n  migrate_to_chat_id: Option(Int),\n  migrate_from_chat_id: Option(Int),\n  connected_website: Option(String),\n  reply_markup: Option(InlineKeyboardMarkup),\n)\n **Official reference:** https://core.telegram.org/bots/api#message\nmessage_id\n&lt;p&gt;Unique message identifier inside this chat&lt;/p&gt;\n\nmessage_thread_id\n&lt;p&gt;Unique identifier of a message thread to which the message belongs; for supergroups only&lt;/p&gt;\n\nfrom\n&lt;p&gt;Sender of the message; empty for messages sent to channels. For backward compatibility, the field contains a fake sender user in non-channel chats, if the message was sent on behalf of a chat.&lt;/p&gt;\n\nsender_chat\n&lt;p&gt;Sender of the message, sent on behalf of a chat. For example, the channel itself for channel posts, the supergroup itself for messages from anonymous group administrators, the linked channel for messages automatically forwarded to the discussion group. For backward compatibility, the field &lt;em&gt;from&lt;/em&gt; contains a fake sender user in non-channel chats, if the message was sent on behalf of a chat.&lt;/p&gt;\n\nsender_boost_count\n&lt;p&gt;If the sender of the message boosted the chat, the number of boosts added by the user&lt;/p&gt;\n\ndate\n&lt;p&gt;Date the message was sent in Unix time. It is always a positive number, representing a valid date.&lt;/p&gt;\n\nchat\n&lt;p&gt;Chat the message belongs to&lt;/p&gt;\n\nis_topic_message\n&lt;p&gt;&lt;em&gt;True&lt;/em&gt;, if the message is sent to a forum topic&lt;/p&gt;\n\nis_automatic_forward\n&lt;p&gt;&lt;em&gt;True&lt;/em&gt;, if the message is a channel post that was automatically forwarded to the connected discussion group&lt;/p&gt;\n\nreply_to_message\n&lt;p&gt;For replies in the same chat and message thread, the original message. Note that the Message object in this field will not contain further &lt;em&gt;reply_to_message&lt;/em&gt; fields even if it itself is a reply.&lt;/p&gt;\n\nedit_date\n&lt;p&gt;Date the message was last edited in Unix time&lt;/p&gt;\n\nhas_protected_content\n&lt;p&gt;&lt;em&gt;True&lt;/em&gt;, if the message can’t be forwarded&lt;/p&gt;\n\nmedia_group_id\n&lt;p&gt;The unique identifier of a media message group this message belongs to&lt;/p&gt;\n\nauthor_signature\n&lt;p&gt;Signature of the post author for messages in channels, or the custom title of an anonymous group administrator&lt;/p&gt;\n\ntext\n&lt;p&gt;For text messages, the actual UTF-8 text of the message&lt;/p&gt;\n\nentities\n&lt;p&gt;For text messages, special entities like usernames, URLs, bot commands, etc. that appear in the text&lt;/p&gt;\n\ncaption_entities\n&lt;p&gt;For messages with a caption, special entities like usernames, URLs, bot commands, etc. that appear in the caption&lt;/p&gt;\n\nhas_media_spoiler\n&lt;p&gt;&lt;em&gt;True&lt;/em&gt;, if the message media is covered by a spoiler animation&lt;/p&gt;\n\nnew_chat_members\n&lt;p&gt;New members that were added to the group or supergroup and information about them (the bot itself may be one of these members)&lt;/p&gt;\n\nleft_chat_member\n&lt;p&gt;A member was removed from the group, information about them (this member may be the bot itself)&lt;/p&gt;\n\nnew_chat_title\n&lt;p&gt;A chat title was changed to this value&lt;/p&gt;\n\ndelete_chat_photo\n&lt;p&gt;Service message: the chat photo was deleted&lt;/p&gt;\n\ngroup_chat_created\n&lt;p&gt;Service message: the group has been created&lt;/p&gt;\n\nsupergroup_chat_created\n&lt;p&gt;Service message: the supergroup has been created. This field can’t be received in a message coming through updates, because bot can’t be a member of a supergroup when it is created. It can only be found in reply_to_message if someone replies to a very first message in a directly created supergroup.&lt;/p&gt;\n\nchannel_chat_created\n&lt;p&gt;Service message: the channel has been created. This field can’t be received in a message coming through updates, because bot can’t be a member of a channel when it is created. It can only be found in reply_to_message if someone replies to a very first message in a channel.&lt;/p&gt;\n\nmigrate_to_chat_id\n&lt;p&gt;The group has been migrated to a supergroup with the specified identifier.&lt;/p&gt;\n\nmigrate_from_chat_id\n&lt;p&gt;The supergroup has been migrated from a group with the specified identifier.&lt;/p&gt;\n\nconnected_website\n&lt;p&gt;The domain name of the website on which the user has logged in. &lt;a href=&quot;https://core.telegram.org/widgets/login&quot;&gt;More about Telegram Login &amp;gt;&amp;gt;&lt;/a&gt;&lt;/p&gt;\n\nreply_markup\n&lt;p&gt;Inline keyboard attached to the message. &lt;code&gt;login_url&lt;/code&gt; buttons are represented as ordinary &lt;code&gt;url&lt;/code&gt; buttons.&lt;/p&gt;\n\nSynonyms:\ntelega/message.RawMessage\ntelega/message RawMessage","url":"telega/message.html#RawMessage"},{"doc":"telega/message","title":"Update","content":"pub type Update {\n  Update(message: RawMessage, update_id: Int)\n}\n Unique message identifier inside this chat\n Unique identifier of a message thread to which the message belongs; for supergroups only\n Sender of the message; empty for messages sent to channels. For backward compatibility, the field contains a fake sender user in non-channel chats, if the message was sent on behalf of a chat.\n Sender of the message, sent on behalf of a chat. For example, the channel itself for channel posts, the supergroup itself for messages from anonymous group administrators, the linked channel for messages automatically forwarded to the discussion group. For backward compatibility, the field _from_ contains a fake sender user in non-channel chats, if the message was sent on behalf of a chat.\n If the sender of the message boosted the chat, the number of boosts added by the user\n Date the message was sent in Unix time. It is always a positive number, representing a valid date.\n Chat the message belongs to\n _True_, if the message is sent to a forum topic\n _True_, if the message is a channel post that was automatically forwarded to the connected discussion group\n For replies in the same chat and message thread, the original message. Note that the Message object in this field will not contain further _reply_to_message_ fields even if it itself is a reply.\n Date the message was last edited in Unix time\n _True_, if the message can&#39;t be forwarded\n The unique identifier of a media message group this message belongs to\n Signature of the post author for messages in channels, or the custom title of an anonymous group administrator\n For text messages, the actual UTF-8 text of the message\n For text messages, special entities like usernames, URLs, bot commands, etc. that appear in the text\n For messages with a caption, special entities like usernames, URLs, bot commands, etc. that appear in the caption\n _True_, if the message media is covered by a spoiler animation\n New members that were added to the group or supergroup and information about them (the bot itself may be one of these members)\n A member was removed from the group, information about them (this member may be the bot itself)\n A chat title was changed to this value\n Service message: the chat photo was deleted\n Service message: the group has been created\n Service message: the supergroup has been created. This field can&#39;t be received in a message coming through updates, because bot can&#39;t be a member of a supergroup when it is created. It can only be found in reply_to_message if someone replies to a very first message in a directly created supergroup.\n Service message: the channel has been created. This field can&#39;t be received in a message coming through updates, because bot can&#39;t be a member of a channel when it is created. It can only be found in reply_to_message if someone replies to a very first message in a channel.\n The group has been migrated to a supergroup with the specified identifier.\n The supergroup has been migrated from a group with the specified identifier.\n The domain name of the website on which the user has logged in. [More about Telegram Login &gt;&gt;](https://core.telegram.org/widgets/login)\n Inline keyboard attached to the message. `login_url` buttons are represented as ordinary `url` buttons.\n\nUpdate(message: RawMessage, update_id: Int)\n **Official reference:** https://core.telegram.org/bots/api#update\nupdate_id\n&lt;p&gt;The update’s unique identifier.&lt;/p&gt;\n\nSynonyms:\ntelega/message.Update\ntelega/message Update","url":"telega/message.html#Update"},{"doc":"telega/message","title":"User","content":"pub type User {\n  User(\n    id: Int,\n    is_bot: Bool,\n    first_name: String,\n    last_name: String,\n    username: Option(String),\n    language_code: Option(String),\n    is_premium: Option(Bool),\n    added_to_attachment_menu: Option(Bool),\n  )\n}\n Unique identifier for this chat.\n Username, for private chats, supergroups and channels if available\n First name of the other party in a private chat\n Last name of the other party in a private chat\n True, if the supergroup chat is a forum (has [topics](https://telegram.org/blog/topics-in-groups-collectible-usernames#topics-in-groups) enabled)\n\nUser(\n  id: Int,\n  is_bot: Bool,\n  first_name: String,\n  last_name: String,\n  username: Option(String),\n  language_code: Option(String),\n  is_premium: Option(Bool),\n  added_to_attachment_menu: Option(Bool),\n)\n **Official reference:** https://core.telegram.org/bots/api#user\nid\n&lt;p&gt;Unique identifier for this user or bot.&lt;/p&gt;\n\nfirst_name\n&lt;p&gt;User’s or bot’s first name&lt;/p&gt;\n\nlast_name\n&lt;p&gt;User’s or bot’s last name&lt;/p&gt;\n\nusername\n&lt;p&gt;Username, for private chats, supergroups and channels if available&lt;/p&gt;\n\nlanguage_code\n&lt;p&gt;&lt;a href=&quot;https://en.wikipedia.org/wiki/IETF_language_tag&quot;&gt;IETF language tag&lt;/a&gt; of the user’s language&lt;/p&gt;\n\nis_premium\n&lt;p&gt;True, if this user is a Telegram Premium user&lt;/p&gt;\n\nadded_to_attachment_menu\n&lt;p&gt;True, if this user added the bot to the attachment menu&lt;/p&gt;\n\nSynonyms:\ntelega/message.User\ntelega/message User","url":"telega/message.html#User"},{"doc":"telega/message","title":"decode","content":"pub fn decode(\n  json: Dynamic,\n) -&gt; Result(Message, List(DecodeError))\n Decode a message from the Telegram API.\nSynonyms:\ntelega/message.decode\ntelega/message decode","url":"telega/message.html#decode"},{"doc":"telega/message","title":"telega/message","content":"","url":"telega/message.html"},{"doc":"telega/api","title":"send_message","content":"pub fn send_message(\n  chat_id chat_id: Int,\n  text text: String,\n  token token: String,\n  telegram_url telegram_url: String,\n) -&gt; Result(Response(String), String)\n **Official reference:** https://core.telegram.org/bots/api#sendmessage\nSynonyms:\ntelega/api.send_message\ntelega/api send_message","url":"telega/api.html#send_message"},{"doc":"telega/api","title":"set_webhook","content":"pub fn set_webhook(\n  token token: String,\n  webhook_url webhook_url: String,\n  telegram_url telegram_url: String,\n  secret_token secret_token: Option(String),\n) -&gt; Result(Response(String), String)\n **Official reference:** https://core.telegram.org/bots/api#setwebhook\nSynonyms:\ntelega/api.set_webhook\ntelega/api set_webhook","url":"telega/api.html#set_webhook"},{"doc":"telega/api","title":"telega/api","content":" &gt; It&#39;s internal module for working with Telegram API, **not** for public use.","url":"telega/api.html"},{"doc":"telega/log","title":"debug","content":"pub fn debug(message: String) -&gt; Nil\n\nSynonyms:\ntelega/log.debug\ntelega/log debug","url":"telega/log.html#debug"},{"doc":"telega/log","title":"debug_d","content":"pub fn debug_d(message: Dynamic) -&gt; Nil\n\nSynonyms:\ntelega/log.debug_d\ntelega/log debug_d","url":"telega/log.html#debug_d"},{"doc":"telega/log","title":"error","content":"pub fn error(message: String) -&gt; Nil\n\nSynonyms:\ntelega/log.error\ntelega/log error","url":"telega/log.html#error"},{"doc":"telega/log","title":"info","content":"pub fn info(message: String) -&gt; Nil\n\nSynonyms:\ntelega/log.info\ntelega/log info","url":"telega/log.html#info"},{"doc":"telega/log","title":"info_d","content":"pub fn info_d(message: Dynamic) -&gt; Nil\n\nSynonyms:\ntelega/log.info_d\ntelega/log info_d","url":"telega/log.html#info_d"},{"doc":"telega/log","title":"telega/log","content":"","url":"telega/log.html"},{"doc":"telega","title":"Bot","content":"pub type Bot {\n  Bot(config: Config, handlers: List(Handler))\n}\n An optional string to compare to X-Telegram-Bot-Api-Secret-Token\n\nBot(config: Config, handlers: List(Handler))\n\n\nSynonyms:\ntelega.Bot\ntelega Bot","url":"telega.html#Bot"},{"doc":"telega","title":"Command","content":"pub type Command {\n  Command(text: String, command: String, payload: Option(String))\n}\n\nCommand(text: String, command: String, payload: Option(String))\n\npayload\n&lt;p&gt;The command arguments, if any.&lt;/p&gt;\n\nSynonyms:\ntelega.Command\ntelega Command","url":"telega.html#Command"},{"doc":"telega","title":"CommandContext","content":"pub type CommandContext {\n  CommandContext(message: Message, bot: Bot, command: Command)\n}\n The command arguments, if any.\n\nCommandContext(message: Message, bot: Bot, command: Command)\n\n\nSynonyms:\ntelega.CommandContext\ntelega CommandContext","url":"telega.html#CommandContext"},{"doc":"telega","title":"Config","content":"pub opaque type Config\n\n\nSynonyms:\ntelega.Config\ntelega Config","url":"telega.html#Config"},{"doc":"telega","title":"Context","content":"pub type Context {\n  Context(message: Message, bot: Bot)\n}\n Handlers context.\nContext(message: Message, bot: Bot)\n\n\nSynonyms:\ntelega.Context\ntelega Context","url":"telega.html#Context"},{"doc":"telega","title":"Handler","content":"pub type Handler {\n  HandleAll(handler: fn(Context) -&gt; Result(Nil, Nil))\n  HandleCommand(\n    handler: fn(CommandContext) -&gt; Result(Nil, Nil),\n    command: String,\n  )\n  HandleCommands(\n    handler: fn(CommandContext) -&gt; Result(Nil, Nil),\n    commands: List(String),\n  )\n  HandleText(handler: fn(Context) -&gt; Result(Nil, Nil))\n}\n\nHandleAll(handler: fn(Context) -&gt; Result(Nil, Nil))\n Handle all messages.\n\nHandleCommand(\n  handler: fn(CommandContext) -&gt; Result(Nil, Nil),\n  command: String,\n)\n Handle a specific command.\n\nHandleCommands(\n  handler: fn(CommandContext) -&gt; Result(Nil, Nil),\n  commands: List(String),\n)\n Handle multiple commands.\n\nHandleText(handler: fn(Context) -&gt; Result(Nil, Nil))\n Handle text messages.\n\nSynonyms:\ntelega.Handler\ntelega Handler","url":"telega.html#Handler"},{"doc":"telega","title":"add_handler","content":"pub fn add_handler(bot: Bot, handler: Handler) -&gt; Bot\n Add a handler to the bot.\nSynonyms:\ntelega.add_handler\ntelega add_handler","url":"telega.html#add_handler"},{"doc":"telega","title":"handle_update","content":"pub fn handle_update(bot: Bot, message: Message) -&gt; Nil\n Handle an update from the Telegram API.\nSynonyms:\ntelega.handle_update\ntelega handle_update","url":"telega.html#handle_update"},{"doc":"telega","title":"is_secret_token_valid","content":"pub fn is_secret_token_valid(bot: Bot, token: String) -&gt; Bool\n Check if a token is the secret token for the bot.\nSynonyms:\ntelega.is_secret_token_valid\ntelega is_secret_token_valid","url":"telega.html#is_secret_token_valid"},{"doc":"telega","title":"is_webhook_path","content":"pub fn is_webhook_path(bot: Bot, path: String) -&gt; Bool\n Check if a path is the webhook path for the bot.\nSynonyms:\ntelega.is_webhook_path\ntelega is_webhook_path","url":"telega.html#is_webhook_path"},{"doc":"telega","title":"new","content":"pub fn new(\n  token token: String,\n  url server_url: String,\n  webhook_path webhook_path: String,\n  secret_token secret_token: Option(String),\n) -&gt; Bot\n Creates a new Bot with the given options.\nSynonyms:\ntelega.new\ntelega new","url":"telega.html#new"},{"doc":"telega","title":"reply","content":"pub fn reply(ctx: Context, text: String) -&gt; Result(Message, Nil)\n Use this method to send text messages.\nSynonyms:\ntelega.reply\ntelega reply","url":"telega.html#reply"},{"doc":"telega","title":"set_webhook","content":"pub fn set_webhook(bot: Bot) -&gt; Result(Bool, String)\n Set the webhook URL using [setWebhook](https://core.telegram.org/bots/api#setwebhook) API.\nSynonyms:\ntelega.set_webhook\ntelega set_webhook","url":"telega.html#set_webhook"},{"doc":"telega","title":"telega","content":"","url":"telega.html"},{"doc":"telega/adapters/wisp","title":"bot_handler","content":"pub fn bot_handler(\n  bot: Bot,\n  req: Request(Connection),\n) -&gt; Response(Body)\n Handle incoming requests from the Telegram API.\n Add this function as a handler to your wisp server.\n\n \n import telega.{type Bot}\n import telega/adapters/wisp as telega_wisp\n\n fn handle_request(bot: Bot, req: Request) -&gt; Response {\n   use &lt;- bool.lazy_guard(telega_wisp.is_bot_request(bot, req), fn() {\n     telega_wisp.bot_handler(bot, req)\n   })\n\n   case wisp.path_segments(req) {\n     [&quot;helath&quot;] -&gt; wisp.ok()\n     _ -&gt; wisp.not_found()\n   }\n }\n \nSynonyms:\ntelega/adapters/wisp.bot_handler\ntelega/adapters/wisp bot_handler","url":"telega/adapters/wisp.html#bot_handler"},{"doc":"telega/adapters/wisp","title":"decode_to_string","content":"pub fn decode_to_string(error: DecodeError) -&gt; String\n Format decode error to error message string.\nSynonyms:\ntelega/adapters/wisp.decode_to_string\ntelega/adapters/wisp decode_to_string","url":"telega/adapters/wisp.html#decode_to_string"},{"doc":"telega/adapters/wisp","title":"is_bot_request","content":"pub fn is_bot_request(bot: Bot, req: Request(Connection)) -&gt; Bool\n\nSynonyms:\ntelega/adapters/wisp.is_bot_request\ntelega/adapters/wisp is_bot_request","url":"telega/adapters/wisp.html#is_bot_request"},{"doc":"telega/adapters/wisp","title":"telega/adapters/wisp","content":"","url":"telega/adapters/wisp.html"}]);